package cardsim

import "math/rand"

// Player stores all gameplay state for one player.
type Player[C StatsCollection] struct {
	Stats            C
	Name             string
	Deck             *Deck[C]
	Hand             []Card[C]
	HandLimit        int
	ActionsPerTurn   int
	ActionsRemaining int
	PermanentActions []Card[C]
	Rules            *RuleCollection[C]
	Rand             rand.Rand
	Turn             int
	PendingMessages  []Message
}
